%global pypi_name responses

Summary:        Python library to mock out calls with Python requests
Name:           python-responses
Version:        0.23.1
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/getsentry/responses
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel python3-pytest

%description
A utility library for mocking out the requests Python library.

%package -n python3-%{pypi_name}
Summary:        Python library to mock out calls with Python requests

%description -n python%{python3_pkgversion}-%{pypi_name}
A utility library for mocking out the requests Python library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove unnecessary requires
sed -i '/types-PyYAML/d' setup.py
sed -i '/coverage/d' setup.py
sed -i '/pytest-cov/d' setup.py
sed -i '/flake8/d' setup.py
sed -i '/types-requests/d' setup.py
sed -i '/mypy/d' setup.py

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
sed -i -e '/\/tests\//d' %{pyproject_files}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%exclude %{python3_sitelib}/responses/tests

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23.1-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 kianli <kianli@tencent.com> - 0.23.1-1
- Upgrade to 0.23.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.22.0-1
- package init.

